Epson Stylus Photo 870 Ink Jet Printer

Selected FAQ

Q:
What are the system requirements for using this printer on a Macintosh?
A:
The system requirements are:
- An Apple iMac series, Power Macintosh, G3, or G4 with USB port
- For iMac: Mac OS 8.1 or later (Mac OS 8.5.1 or later recommended) For Power Macintosh G3 or later: Mac OS 8.5.1 or later. If you have an iMac, you may need to update your operating system before installing your printer software.
- If you're running OS 8.1, you must install iMac Update 1.0
- If you're running OS 8.5 or 8.5.1, Apple recommends that you install iMac Update 1.1. Download the update for your system from Apple at http://asu.info.apple.com. Contact Apple if you have problems installing an update. To find out which operating system your iMac is running, select About This Computer from the Apple menu.
- USB connection requires USB capable Macintosh, System 8.1 or later and a shielded USB "AB" cable up to 9.8 ft (3 meters).
- 64MB of available RAM (more recommended)
- 150MB of free hard disk space (200MB recommended)
- CD-ROM or DVD drive for installing the printer software Caution: Using an improperly shielded USB cable - especially more than 9.8 feet (3 meters) long - may cause the printer to malfunction.

Was this helpful? Yes No Didn't Apply

Viewed FAQs

Return to Main FAQs Page